Index: /branches/version-2_12-dev/data/class/SC_Response.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Response.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/SC_Response.php	(revision 22796)
@@ -28,6 +28,5 @@
  * @version $Id$
  */
-class SC_Response
-{
+class SC_Response{
 
     /**
@@ -50,12 +49,10 @@
      * レスポンス出力を書き込む.
      */
-    function write()
-    {
+    function write() {
         $this->sendHeader();
         echo $this->body;
     }
 
-    function sendHeader()
-    {
+    function sendHeader() {
         // HTTPのヘッダ
         foreach ($this->header as $name => $head) {
@@ -67,21 +64,17 @@
     }
 
-    function setContentType($contentType)
-    {
+    function setContentType($contentType) {
         $this->header['Content-Type'] = $contentType;
     }
 
-    function setResposeBody($body)
-    {
+    function setResposeBody($body) {
         $this->body = $body;
     }
 
-    function addHeader($name, $value)
-    {
+    function addHeader($name, $value) {
         $this->header[$name] = $value;
     }
 
-    function containsHeader($name)
-    {
+    function containsHeader($name) {
         return isset($this->header[$name]);
     }
@@ -91,6 +84,5 @@
      * 各クラス内部で勝手にexitするな！
     */
-    function actionExit()
-    {
+    function actionExit() {
         // ローカルフックポイント処理
         $objPlugin = SC_Helper_Plugin_Ex::getSingletonInstance($this->plugin_activate_flg);
@@ -123,6 +115,5 @@
      * @static
      */
-    function sendRedirect($location, $arrQueryString = array(), $inheritQueryString = false, $useSsl = null)
-    {
+    function sendRedirect($location, $arrQueryString = array(), $inheritQueryString = false, $useSsl = null) {
 
         // ローカルフックポイント処理
@@ -225,6 +216,5 @@
      * @static
      */
-    function sendRedirectFromUrlPath($location, $arrQueryString = array(), $inheritQueryString = false, $useSsl = null)
-    {
+    function sendRedirectFromUrlPath($location, $arrQueryString = array(), $inheritQueryString = false, $useSsl = null) {
         $location = ROOT_URLPATH . ltrim($location, '/');
         SC_Response_Ex::sendRedirect($location, $arrQueryString, $inheritQueryString, $useSsl);
@@ -234,6 +224,5 @@
      * @static
      */
-    function reload($arrQueryString = array(), $removeQueryString = false)
-    {
+    function reload($arrQueryString = array(), $removeQueryString = false) {
         // 現在の URL を取得
         $netUrl = new Net_URL($_SERVER['REQUEST_URI']);
@@ -247,11 +236,9 @@
     }
 
-    function setHeader($headers)
-    {
+    function setHeader($headers) {
         $this->header = $headers;
     }
 
-    function setStatusCode($statusCode = null)
-    {
+    function setStatusCode($statusCode = null) {
         $this->statusCode = $statusCode;
     }
@@ -272,6 +259,5 @@
      * @static
      */
-    function sendHttpStatus($statusCode)
-    {
+    function sendHttpStatus($statusCode) {
         $protocol = $_SERVER['SERVER_PROTOCOL'];
         $httpVersion = (strpos($protocol, '1.1') !== false) ? '1.1' : '1.0';
Index: /branches/version-2_12-dev/data/class/api/operations/ItemLookup.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/operations/ItemLookup.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/api/operations/ItemLookup.php	(revision 22796)
@@ -31,6 +31,5 @@
 require_once CLASS_EX_REALDIR . 'api_extends/SC_Api_Abstract_Ex.php';
 
-class API_ItemLookup extends SC_Api_Abstract_Ex 
-{
+class API_ItemLookup extends SC_Api_Abstract_Ex {
 
     protected $operation_name = 'ItemLookup';
@@ -41,6 +40,5 @@
     protected $default_sub_data = '';
 
-    public function doAction($arrParam)
-    {
+    public function doAction($arrParam) {
         $arrRequest = $this->doInitParam($arrParam);
         if (!$this->isParamError()) {
@@ -77,6 +75,5 @@
     }
 
-    protected function checkErrorExtended($arrParam)
-    {
+    protected function checkErrorExtended($arrParam) {
         switch ($arrParam['IdType']) {
         case 'product_code':
@@ -92,6 +89,5 @@
     }
 
-    protected function lfInitParam(&$objFormParam)
-    {
+    protected function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('商品コンディション', 'Condition', STEXT_LEN, 'a', array('ALNUM_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('商品ID種別', 'IdType', STEXT_LEN, 'a', array('GRAPH_CHECK', 'MAX_LENGTH_CHECK'));
@@ -106,6 +102,5 @@
     }
 
-    public function getResponseGroupName()
-    {
+    public function getResponseGroupName() {
         return 'Item';
     }
Index: /branches/version-2_12-dev/data/class/api/operations/CartGet.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/operations/CartGet.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/api/operations/CartGet.php	(revision 22796)
@@ -31,6 +31,5 @@
 require_once CLASS_EX_REALDIR . 'api_extends/SC_Api_Abstract_Ex.php';
 
-class API_CartGet extends SC_Api_Abstract_Ex 
-{
+class API_CartGet extends SC_Api_Abstract_Ex {
 
     protected $operation_name = 'CartGet';
@@ -41,6 +40,5 @@
     protected $default_sub_data = '';
 
-    public function doAction($arrParam)
-    {
+    public function doAction($arrParam) {
         $this->arrResponse = array(
             'Version' => ECCUBE_VERSION);
@@ -48,15 +46,12 @@
     }
 
-    public function getRequestValidate()
-    {
+    public function getRequestValidate() {
         return;
     }
 
-    protected function lfInitParam(&$objFormParam)
-    {
+    protected function lfInitParam(&$objFormParam) {
     }
 
-    public function getResponseGroupName()
-    {
+    public function getResponseGroupName() {
         return 'VersionResponse';
     }
Index: /branches/version-2_12-dev/data/class/api/operations/CartCreate.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/operations/CartCreate.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/api/operations/CartCreate.php	(revision 22796)
@@ -31,6 +31,5 @@
 require_once CLASS_EX_REALDIR . 'api_extends/SC_Api_Abstract_Ex.php';
 
-class API_CartCreate extends SC_Api_Abstract_Ex 
-{
+class API_CartCreate extends SC_Api_Abstract_Ex {
 
     protected $operation_name = 'CartCreate';
@@ -41,6 +40,5 @@
     protected $default_sub_data = '';
 
-    public function doAction($arrParam)
-    {
+    public function doAction($arrParam) {
         $this->arrResponse = array(
             'Version' => ECCUBE_VERSION);
@@ -48,15 +46,12 @@
     }
 
-    public function getRequestValidate()
-    {
+    public function getRequestValidate() {
         return;
     }
 
-    protected function lfInitParam(&$objFormParam)
-    {
+    protected function lfInitParam(&$objFormParam) {
     }
 
-    public function getResponseGroupName()
-    {
+    public function getResponseGroupName() {
         return 'VersionResponse';
     }
Index: /branches/version-2_12-dev/data/class/api/operations/CartClear.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/operations/CartClear.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/api/operations/CartClear.php	(revision 22796)
@@ -31,6 +31,5 @@
 require_once CLASS_EX_REALDIR . 'api_extends/SC_Api_Abstract_Ex.php';
 
-class API_CartClear extends SC_Api_Abstract_Ex 
-{
+class API_CartClear extends SC_Api_Abstract_Ex {
 
     protected $operation_name = 'CartClear';
@@ -41,6 +40,5 @@
     protected $default_sub_data = '';
 
-    public function doAction($arrParam)
-    {
+    public function doAction($arrParam) {
         $this->arrResponse = array(
             'Version' => ECCUBE_VERSION);
@@ -48,15 +46,12 @@
     }
 
-    public function getRequestValidate()
-    {
+    public function getRequestValidate() {
         return;
     }
 
-    protected function lfInitParam(&$objFormParam)
-    {
+    protected function lfInitParam(&$objFormParam) {
     }
 
-    public function getResponseGroupName()
-    {
+    public function getResponseGroupName() {
         return 'VersionResponse';
     }
Index: /branches/version-2_12-dev/data/class/api/operations/AddrFromZip.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/operations/AddrFromZip.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/api/operations/AddrFromZip.php	(revision 22796)
@@ -31,6 +31,5 @@
 require_once CLASS_EX_REALDIR . 'api_extends/SC_Api_Abstract_Ex.php';
 
-class API_AddrFromZip extends SC_Api_Abstract_Ex 
-{
+class API_AddrFromZip extends SC_Api_Abstract_Ex {
 
     protected $operation_name = 'AddrFromZip';
@@ -41,6 +40,5 @@
     protected $default_sub_data = '';
 
-    public function doAction($arrParam)
-    {
+    public function doAction($arrParam) {
         $arrRequest = $this->doInitParam($arrParam);
         if (!$this->isParamError()) {
@@ -60,12 +58,10 @@
     }
 
-    protected function lfInitParam(&$objFormParam)
-    {
+    protected function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('郵便番号1', 'zip1', ZIP01_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('郵便番号2', 'zip2', ZIP02_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
     }
 
-    public function getResponseGroupName()
-    {
+    public function getResponseGroupName() {
         return 'AddressResponse';
     }
Index: /branches/version-2_12-dev/data/class/api/operations/BrowseNodeLookup.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/operations/BrowseNodeLookup.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/api/operations/BrowseNodeLookup.php	(revision 22796)
@@ -31,6 +31,5 @@
 require_once CLASS_EX_REALDIR . 'api_extends/SC_Api_Abstract_Ex.php';
 
-class API_BrowseNodeLookup extends SC_Api_Abstract_Ex 
-{
+class API_BrowseNodeLookup extends SC_Api_Abstract_Ex {
 
     protected $operation_name = 'BrowseNodeLookup';
@@ -41,6 +40,5 @@
     protected $default_sub_data = '';
 
-    public function doAction($arrParam)
-    {
+    public function doAction($arrParam) {
         $arrRequest = $this->doInitParam($arrParam);
         if (!$this->isParamError()) {
@@ -106,12 +104,10 @@
     }
 
-    protected function lfInitParam(&$objFormParam)
-    {
+    protected function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('対象カテゴリID', 'BrowseNodeId', INT_LEN, 'a', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('返答種別', 'ResponseGroup', INT_LEN, 'a', array('GRAPH_CHECK', 'MAX_LENGTH_CHECK'));
     }
 
-    public function getResponseGroupName()
-    {
+    public function getResponseGroupName() {
         return 'BrowseNodes';
     }
Index: /branches/version-2_12-dev/data/class/api/operations/CartModify.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/operations/CartModify.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/api/operations/CartModify.php	(revision 22796)
@@ -31,6 +31,5 @@
 require_once CLASS_EX_REALDIR . 'api_extends/SC_Api_Abstract_Ex.php';
 
-class API_CartModify extends SC_Api_Abstract_Ex 
-{
+class API_CartModify extends SC_Api_Abstract_Ex {
 
     protected $operation_name = 'CartModify';
@@ -41,6 +40,5 @@
     protected $default_sub_data = '';
 
-    public function doAction($arrParam)
-    {
+    public function doAction($arrParam) {
         $this->arrResponse = array(
             'Version' => ECCUBE_VERSION);
@@ -48,15 +46,12 @@
     }
 
-    public function getRequestValidate()
-    {
+    public function getRequestValidate() {
         return;
     }
 
-    protected function lfInitParam(&$objFormParam)
-    {
+    protected function lfInitParam(&$objFormParam) {
     }
 
-    public function getResponseGroupName()
-    {
+    public function getResponseGroupName() {
         return 'VersionResponse';
     }
Index: /branches/version-2_12-dev/data/class/api/operations/CartAdd.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/operations/CartAdd.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/api/operations/CartAdd.php	(revision 22796)
@@ -31,6 +31,5 @@
 require_once CLASS_EX_REALDIR . 'api_extends/SC_Api_Abstract_Ex.php';
 
-class API_CartAdd extends SC_Api_Abstract_Ex 
-{
+class API_CartAdd extends SC_Api_Abstract_Ex {
 
     protected $operation_name = 'CartAdd';
@@ -41,6 +40,5 @@
     protected $default_sub_data = '';
 
-    public function doAction($arrParam)
-    {
+    public function doAction($arrParam) {
         $this->arrResponse = array(
             'Version' => ECCUBE_VERSION);
@@ -48,15 +46,12 @@
     }
 
-    public function getRequestValidate()
-    {
+    public function getRequestValidate() {
         return;
     }
 
-    protected function lfInitParam(&$objFormParam)
-    {
+    protected function lfInitParam(&$objFormParam) {
     }
 
-    public function getResponseGroupName()
-    {
+    public function getResponseGroupName() {
         return 'VersionResponse';
     }
Index: /branches/version-2_12-dev/data/class/api/operations/Default.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/operations/Default.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/api/operations/Default.php	(revision 22796)
@@ -31,6 +31,5 @@
 require_once CLASS_EX_REALDIR . 'api_extends/SC_Api_Abstract_Ex.php';
 
-class API_Default extends SC_Api_Abstract_Ex 
-{
+class API_Default extends SC_Api_Abstract_Ex {
 
     protected $operation_name = 'Default';
@@ -41,22 +40,18 @@
     protected $default_sub_data = '';
 
-    public function doAction($arrParam)
-    {
+    public function doAction($arrParam) {
         $this->arrResponse = array('DefaultEmpty' => array());
         return true;
     }
 
-    public function getRequestValidate()
-    {
+    public function getRequestValidate() {
         return array('DefaultResponse' => array());
     }
 
-    public function getResponseGroupName()
-    {
+    public function getResponseGroupName() {
         return 'DefaultResponse';
     }
 
-    protected function lfInitParam(&$objFormParam)
-    {
+    protected function lfInitParam(&$objFormParam) {
     }
 }
Index: /branches/version-2_12-dev/data/class/api/operations/ItemSearch.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/operations/ItemSearch.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/api/operations/ItemSearch.php	(revision 22796)
@@ -31,6 +31,5 @@
 require_once CLASS_EX_REALDIR . 'api_extends/SC_Api_Abstract_Ex.php';
 
-class API_ItemSearch extends SC_Api_Abstract_Ex 
-{
+class API_ItemSearch extends SC_Api_Abstract_Ex {
 
     protected $operation_name = 'ItemSearch';
@@ -41,6 +40,5 @@
     protected $default_sub_data = '';
 
-    public function doAction($arrParam)
-    {
+    public function doAction($arrParam) {
         $arrRequest = $this->doInitParam($arrParam);
         if (!$this->isParamError()) {
@@ -70,5 +68,5 @@
             if (!SC_Utils_Ex::isBlank($arrProducts)) {
                 $arrProducts = $this->setStatusDataTo($arrProducts, $arrSTATUS, $arrSTATUS_IMAGE);
-                SC_Product_Ex::setPriceTaxTo($arrProducts);
+                $arrProducts = $objProduct->setPriceTaxTo($arrProducts);
                 foreach ($arrProducts as $key=>$val) {
                     $arrProducts[$key]['main_list_image'] = SC_Utils_Ex::sfNoImageMainList($val['main_list_image']);
@@ -94,6 +92,5 @@
     }
 
-    protected function lfInitParam(&$objFormParam)
-    {
+    protected function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('カテゴリID', 'BrowseNode', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('キーワード', 'Keywords', STEXT_LEN, 'a', array('SPTAB_CHECK', 'MAX_LENGTH_CHECK'));
@@ -103,6 +100,5 @@
     }
 
-    public function getResponseGroupName()
-    {
+    public function getResponseGroupName() {
         return 'Items';
     }
@@ -115,6 +111,5 @@
      * TODO: LC_Page_Products_List::lfGetProductsList() と共通化
      */
-    protected function getProductsList($searchCondition, $disp_number, $startno, $linemax, &$objProduct)
-    {
+    protected function getProductsList($searchCondition, $disp_number, $startno, $linemax, &$objProduct) {
 
         $arrOrderVal = array();
@@ -190,6 +185,5 @@
      * TODO: LC_Page_Products_List:;lfGetSearchCondition() と共通化
      */
-    protected function getSearchCondition($arrSearchData)
-    {
+    protected function getSearchCondition($arrSearchData) {
         $searchCondition = array(
             'where'             => '',
@@ -260,6 +254,5 @@
      * @return Array $arrProducts 商品一覧情報
      */
-    protected function setStatusDataTo($arrProducts, $arrStatus, $arrStatusImage)
-    {
+    protected function setStatusDataTo($arrProducts, $arrStatus, $arrStatusImage) {
 
         foreach ($arrProducts['productStatus'] as $product_id => $arrValues) {
Index: /branches/version-2_12-dev/data/class/api/operations/GetVersion.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/operations/GetVersion.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/api/operations/GetVersion.php	(revision 22796)
@@ -31,6 +31,5 @@
 require_once CLASS_EX_REALDIR . 'api_extends/SC_Api_Abstract_Ex.php';
 
-class API_GetVersion extends SC_Api_Abstract_Ex 
-{
+class API_GetVersion extends SC_Api_Abstract_Ex {
 
     protected $operation_name = 'GetVersion';
@@ -41,6 +40,5 @@
     protected $default_sub_data = '';
 
-    public function doAction($arrParam)
-    {
+    public function doAction($arrParam) {
         $this->arrResponse = array(
             'Version' => ECCUBE_VERSION);
@@ -48,15 +46,12 @@
     }
 
-    public function getRequestValidate()
-    {
+    public function getRequestValidate() {
         return;
     }
 
-    protected function lfInitParam(&$objFormParam)
-    {
+    protected function lfInitParam(&$objFormParam) {
     }
 
-    public function getResponseGroupName()
-    {
+    public function getResponseGroupName() {
         return 'VersionResponse';
     }
Index: /branches/version-2_12-dev/data/class/api/SC_Api_Operation.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/SC_Api_Operation.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/api/SC_Api_Operation.php	(revision 22796)
@@ -33,6 +33,5 @@
 
 
-class SC_Api_Operation 
-{
+class SC_Api_Operation {
 
     /** API_DEBUG_MODE */
@@ -59,6 +58,5 @@
      * @return boolean ログイン情報が有効な場合 true
      */
-    protected function checkMemberAccount($member_id, $member_password)
-    {
+    protected function checkMemberAccount($member_id, $member_password) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         //パスワード、saltの取得
@@ -84,6 +82,5 @@
      * @return boolean ログインに成功した場合 true; 失敗した場合 false
      */
-    protected function checkCustomerAccount($login_email, $login_password)
-    {
+    protected function checkCustomerAccount($login_email, $login_password) {
         $objCustomer = new SC_Customer_Ex();
         if ($objCustomer->getCustomerDataFromEmailPass($login_password, $login_email)) {
@@ -99,6 +96,5 @@
      * @return boolean チェックに成功した場合 true; 失敗した場合 false
      */
-    protected function checkReferer()
-    {
+    protected function checkReferer() {
         $ret = false;
         if (!SC_Utils_Ex::isBlank($_SERVER['HTTP_REFERER'])) {
@@ -121,6 +117,5 @@
      * @return boolean 署名認証に成功した場合 true; 失敗した場合 false
      */
-    protected function checkApiSignature($operation_name, $arrParam, $arrApiConfig)
-    {
+    protected function checkApiSignature($operation_name, $arrParam, $arrApiConfig) {
         if (SC_Utils_Ex::isBlank($arrParam['Signature'])) {
             return false;
@@ -176,6 +171,5 @@
      * @return boolean チェックに成功した場合 true; 失敗した場合 false
      */
-    protected function checkIp($operation_name)
-    {
+    protected function checkIp($operation_name) {
         $ret = false;
         $allow_hosts = SC_Api_Utils_Ex::getOperationSubConfig($operation_name, 'allow_hosts');
@@ -195,6 +189,5 @@
      * @return string 秘密鍵文字列
      */
-    protected function getApiSecretKey($access_key)
-    {
+    protected function getApiSecretKey($access_key) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $secret_key = $objQuery->get('api_secret_key', 'dtb_api_account', 'api_access_key = ? and enable = 1 and del_flg = 0', array($access_key));
@@ -209,6 +202,5 @@
      * @return boolean 権限がある場合 true; 無い場合 false
      */
-    protected function checkOperationAuth($operation_name, &$arrParam, &$arrApiConfig)
-    {
+    protected function checkOperationAuth($operation_name, &$arrParam, &$arrApiConfig) {
         if (SC_Utils_Ex::isBlank($operation_name)) {
             return false;
@@ -273,6 +265,5 @@
      * @return void
      */
-    protected function setApiBaseParam(&$objFormParam)
-    {
+    protected function setApiBaseParam(&$objFormParam) {
         $objFormParam->addParam('Operation', 'Operation', STEXT_LEN, 'an', array('EXIST_CHECK', 'GRAPH_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('Service', 'Service', STEXT_LEN, 'an', array('EXIST_CHECK', 'GRAPH_CHECK', 'MAX_LENGTH_CHECK'));
@@ -288,6 +279,5 @@
      * @return array(string レスポンス名, array レスポンス配列)
      */
-    public function doApiAction($arrPost)
-    {
+    public function doApiAction($arrPost) {
         // 実行時間計測用
         $start_time = microtime(true);
@@ -384,6 +374,5 @@
      * @return array エコー情報配列 (XML用の _attributes 指定入り）
      */
-    protected function getOperationRequestEcho($arrParam, $start_time)
-    {
+    protected function getOperationRequestEcho($arrParam, $start_time) {
         $arrRet = array(
                 'HTTPHeaders' => array('Header' => array('_attributes' => array('Name' => 'UserAgent',
@@ -400,6 +389,5 @@
 
     // TODO: ここらへんは SC_Displayに持って行きたい所だが・・
-    public function sendApiResponse($type, $response_outer_name, &$arrResponse)
-    {
+    public function sendApiResponse($type, $response_outer_name, &$arrResponse) {
         switch ($type) {
             case 'xml':
Index: /branches/version-2_12-dev/data/class/api/SC_Api_Utils.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/SC_Api_Utils.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/api/SC_Api_Utils.php	(revision 22796)
@@ -33,6 +33,5 @@
 define('API_CLASS_REALDIR', CLASS_REALDIR . 'api/operations/');
 
-class SC_Api_Utils 
-{
+class SC_Api_Utils {
 
     /** API XML Namspase Header */
@@ -54,6 +53,5 @@
      * @return string 秘密鍵文字列
      */
-    public function getOperationSubConfig($operation_name, $key_name = '', $arrApiConfig = '')
-    {
+    public function getOperationSubConfig($operation_name, $key_name = '', $arrApiConfig = '') {
         if (SC_Utils_Ex::isBlank($arrApiConfig)) {
             $arrApiConfig = SC_Api_Utils_Ex::getAuthConfig($operation_name);
@@ -81,6 +79,5 @@
      * @return array 設定配列
      */
-    public function getApiConfig($operation_name)
-    {
+    public function getApiConfig($operation_name) {
         // 設定優先度 DB > plugin default > base
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -115,6 +112,5 @@
      @ @rturn void
      */
-    public function printApiLog($msg, $start_time = '' , $operation_name = '')
-    {
+    public function printApiLog($msg, $start_time = '' , $operation_name = '') {
         if (!SC_Utils_Ex::isBlank($operation_name)) {
             $msg = 'API_' . $operation_name . ':' . $msg;
@@ -133,6 +129,5 @@
      * @return object APIオペレーションクラスオブジェクト
      */
-    public function loadApiOperation($operation_name, $arrParam = array())
-    {
+    public function loadApiOperation($operation_name, $arrParam = array()) {
         // API_UPLOADのほうが優先
         // API_UPLOAD > API_CLASS_EX > API_CLASS
@@ -160,6 +155,5 @@
      * @return array $arrFiles
      */
-    public function getApiDirFiles()
-    {
+    public function getApiDirFiles() {
         $arrFiles = array();
         // Core API ディレクトリ
@@ -189,6 +183,5 @@
     }
 
-    public function sendResponseJson($response_outer_name, &$arrResponse)
-    {
+    public function sendResponseJson($response_outer_name, &$arrResponse) {
         header('Content-Type: application/json; charset=UTF-8');
         $arrResponse['response_name'] = $response_outer_name;
@@ -196,6 +189,5 @@
     }
 
-    public function sendResponsePhp($response_outer_name, &$arrResponse)
-    {
+    public function sendResponsePhp($response_outer_name, &$arrResponse) {
         header('Content-Type: application/php; charset=UTF-8');
         $arrResponse['response_name'] = $response_outer_name;
@@ -203,6 +195,5 @@
     }
 
-    public function sendResponseXml($response_outer_name, &$arrResponse)
-    {
+    public function sendResponseXml($response_outer_name, &$arrResponse) {
         require_once 'XML/Serializer.php';
 
Index: /branches/version-2_12-dev/data/class/api/SC_Api_Abstract.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/SC_Api_Abstract.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/api/SC_Api_Abstract.php	(revision 22796)
@@ -30,6 +30,5 @@
  */
 
-abstract class SC_Api_Abstract 
-{
+abstract class SC_Api_Abstract {
 
     /** 認証タイプ */
@@ -57,9 +56,7 @@
     protected $arrErr = array();
 
-    final public function __construct()
-    {}
+    final public function __construct() {}
 
-    final public function __destruct()
-    {}
+    final public function __destruct() {}
 
     abstract public function doAction($arrParam);
@@ -69,16 +66,13 @@
     abstract protected function lfInitParam(&$objFormParam);
 
-    public function getResponseArray()
-    {
+    public function getResponseArray() {
         return $this->arrResponse;
     }
 
-    public function getErrorArray()
-    {
+    public function getErrorArray() {
         return $this->arrErr;
     }
 
-    public function getDefaultConfig()
-    {
+    public function getDefaultConfig() {
         $arrApiConfig = array();
         $arrApiConfig['operation_name'] = $this->operation_name;
@@ -91,25 +85,20 @@
     }
 
-    protected function setResponse($key, $data)
-    {
+    protected function setResponse($key, $data) {
         $this->arrResponse[$key] = $data;
     }
 
-    protected function addError($arrErr)
-    {
+    protected function addError($arrErr) {
         $this->arrErr = array_merge((array)$this->arrErr, (array)$arrErr);
     }
 
-    protected function isParamError()
-    {
+    protected function isParamError() {
         return !SC_Utils_Ex::isBlank($this->arrErr);
     }
 
-    protected function checkErrorExtended($arrParam)
-    {
+    protected function checkErrorExtended($arrParam) {
     }
 
-    protected function doInitParam($arrParam = array())
-    {
+    protected function doInitParam($arrParam = array()) {
         $this->objFormParam = new SC_FormParam_Ex();
         $this->lfInitParam($this->objFormParam);
@@ -121,6 +110,5 @@
     }
 
-    public function getRequestValidate()
-    {
+    public function getRequestValidate() {
         $arrParam = $this->objFormParam->getHashArray();
         if (!SC_Utils_Ex::isBlank($arrParam)) {
Index: /branches/version-2_12-dev/data/class/SC_SiteView.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_SiteView.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/SC_SiteView.php	(revision 22796)
@@ -22,8 +22,6 @@
  */
 
-class SC_SiteView extends SC_View_Ex 
-{
-    function __construct($setPrevURL = true)
-    {
+class SC_SiteView extends SC_View_Ex {
+    function __construct($setPrevURL = true) {
         parent::__construct();
 
@@ -33,6 +31,5 @@
     }
 
-    function init()
-    {
+    function init() {
         parent::init();
 
@@ -43,6 +40,5 @@
     }
 
-    function setPrevURL()
-    {
+    function setPrevURL() {
             $objCartSess = new SC_CartSession_Ex();
             $objCartSess->setPrevURL($_SERVER['REQUEST_URI']);
